#ifndef _NR_H
#define _NR_H




class NR
{

public:

NR(struct lkm_parameter *par, struct problem *prob);
~NR();

void remove_noise();

private:

struct lkm_parameter *par;
struct problem *prob;
struct problem *ct_prob;
CoverTree *coverTree;
ParEst *parEst;

void print_tr(char *file_name,struct problem *p,bool *del);
void print_tr_id(char *file_name,struct problem *p,bool *del);
void print_te(char *file_name,struct problem *p);

void remove_noise_lsvm();
void remove_noise_falknr();
void remove_noise_enn();
void remove_noise_aknn();

bool check_majority_rule(struct problem *p, double true_label );
};




#endif

